Vla-put-autosnapaperture
- 構文
- (vla-put-autosnapaperture vla-object bool )
- 機能
- AutoSnap ターゲット ボックスの表示を切り替える。
- 引数
-
- vla-object … のVLAオブジェクト()
- bool … ブール型
- :vlax-True: AutoSnap ターゲット ボックスを表示する。
- :vlax-False: AutoSnap ターゲット ボックスを非表示にする。
- 戻り値
- nil
- MEMO: このプロパティの初期値は True。
- オブジェクトにスナップすると、AutoSnap ターゲット ボックスはクロスヘア カーソルの中央に表示される。このオプションは AutoSnap のマーカー、自動吸着、またはツールチップが使用可能である場合にのみ有効。
- 注 : このプロパティの値は、システム変数 APBOX に格納される。
- サンプル
(vl-load-com) (defun c:Example_AutoSnapAperture() ;; AutoSnap ターゲット ボックスの表示を切り替えるサンプル (setq acadObj (vlax-get-acad-object)) (setq preferences (vla-get-Preferences acadObj)) ;; drafting preferences オブジェクトを取得 (setq ACADPref (vla-get-Drafting preferences)) ;; 既定値を取得 (setq originalValue (vla-get-AutoSnapAperture ACADPref)) (alert (strcat "現在のAutoSnap ターゲット ボックスの表示は : " (if (= originalValue :vlax-true) "True" "False"))) ;; 変更 (vla-put-AutoSnapAperture ACADPref (if (= originalValue :vlax-true) :vlax-false :vlax-true)) (setq newValue (vla-get-AutoSnapAperture ACADPref)) (alert (strcat "新しいAutoSnap ターゲット ボックスの表示は : " (if (= newValue :vlax-true) "True" "False"))) ;; 戻す (vla-put-AutoSnapAperture ACADPref originalValue) (alert (strcat "AutoSnap ターゲット ボックスの表示を次に戻しました: " (if (= originalValue :vlax-true) "True" "false"))) )
関連事項